#if !defined(GameCardRenderer_H_Included)
#define GameCardRenderer_H_Included

// GameCardRenderer.h : header file
//

class CGameModel;
class CGameCard;
class CGameCardStack;

class CGameCardRenderer
{
// API
public:

// Construction
public:
	CGameCardRenderer(CGameModel& aModel);
	virtual ~CGameCardRenderer();
	virtual bool InitResources();

// Attributes
private:
	CGameModel& iGameModel;
	HBITMAP iCardImagesBitmap;
	CDC* iCardDC;
	CSize iCardBitmapSize;

// Operations
public:
	void DrawCardStack(CDC& aTargetDC, const CRect& aTargetRect, const CGameCardStack& aGameCardStack);
	void DrawCard(CDC& aTargetDC, const CGameCard& aGameCard);

// Implementation
public:
};

/////////////////////////////////////////////////////////////////////////////

#endif // !defined(GameCardRenderer_H_Included)
