// 2Patient.h : main header file for the 2Patient application
//

#if !defined(AFX_2Patient_H__EE18A2F3_8B97_4CE0_9601_714B8D2159F2__INCLUDED_)
#define AFX_2Patient_H__EE18A2F3_8B97_4CE0_9601_714B8D2159F2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

#include "Engine/GameState.h"

/////////////////////////////////////////////////////////////////////////////
// C2PatientApp:
// See 2Patient.cpp for the implementation of this class
//

#define WM_STATECHANGE WM_USER + 1234

class C2PatientApp : public CWinApp, private IGameStateObserver
{
public:
	C2PatientApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(C2PatientApp)
	public:
	virtual BOOL InitInstance();
	virtual BOOL OnIdle(LONG lCount);
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(C2PatientApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFileOptions();
	afx_msg void OnTimer(WPARAM wParam, LPARAM lParam);
	afx_msg void OnFileUndo();
	afx_msg void OnFileRedo();
	afx_msg void OnUpdateFileUndo(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileRedo(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// from IGameStateObserver
	virtual void OnSetGameState(CGameModel& aModel, EGameState aNewState);
	virtual void OnGameStateChanged(CGameModel& aModel, EGameState aOldState, EGameState aNewState) {}

// attributes
/*	bool iSentStateChangeMessage;*/
	int iTimer;
	bool iModalDialog;
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_2Patient_H__EE18A2F3_8B97_4CE0_9601_714B8D2159F2__INCLUDED_)
