#if !defined(Base64_H_Included)
#define Base64_H_Included

// Base64.h : header file
//

struct Base64
{
	struct Buffer
	{
		Buffer(unsigned char* aPtr, int aLength, int aMaxLength) :
			iPtr(aPtr), iLength(aLength), iMaxLength(aMaxLength) {}
		unsigned char* iPtr;
		int iLength;
		int iMaxLength;
	};
	static bool Encode(Buffer& aSrcBuffer, Buffer& aDestBuffer);
	static bool Decode(Buffer& aSrcBuffer, Buffer& aDestBuffer);
};

/////////////////////////////////////////////////////////////////////////////

#endif // !defined(Base64_H_Included)
