#if !defined(Serializable_H_Included)
#define Serializable_H_Included

// Serializable.h : header file
//

struct ISerializable
{
	virtual bool SerializeIn(const unsigned char*& aBufferPtr, int& aBufferBytesLeft) = 0;
	virtual bool SerializeOut(unsigned char*& aBufferPtr, int& aBufferBytesLeft) const = 0;
};


/////////////////////////////////////////////////////////////////////////////

#endif // !defined(Serializable_H_Included)
