#if !defined(GameCardRenderer_H_Included)
#define GameCardRenderer_H_Included

// GameCardRenderer.h : header file
//

class CGameModel;
class CGameCard;
class CGameCardStack;

class CGameCardRenderer
{
// API
public:

// Construction
public:
	CGameCardRenderer(CGameModel& aModel);
	virtual ~CGameCardRenderer();
	virtual bool ConstructL();

// Attributes
private:
	CGameModel& iGameModel;
	CFbsBitmap* iCardImagesBitmap;
	CFbsBitmap* iCardImagesBitmapMask;
	
	TSize iCardBitmapSize;

// Operations
public:
	void DrawCardStack(CFbsBitGc& aTargetGc,  const TRect& aTargetRect, const CGameCardStack& aGameCardStack);
	void DrawCard(CFbsBitGc& aTargetGc, const CGameCard& aGameCard);

// Implementation
public:
};

/////////////////////////////////////////////////////////////////////////////

#endif // !defined(GameCardRenderer_H_Included)
