// CSimpleApplication.cpp
// ----------------------------------
//
// Copyright (c) 2002 Symbian Ltd.  All rights reserved.
//

////////////////////////////////////////////////////////////////////////
//
// Source file for the implementation of the 
// application class - CSimpleApplication
//
////////////////////////////////////////////////////////////////////////

#include "Simple.h"

const TUid KUidSimple = { 0x10008ace }; 

//             The function is called by the UI framework to ask for the
//             application's UID. The returned value is defined by the
//             constant KUidSimple and must match the second value
//             defined in the project definition file.
// 
TUid CSimpleApplication::AppDllUid() const
	{
	return KUidSimple;
	}

//             This function is called by the UI framework at
//             application start-up. It creates an instance of the
//             document class.
//
CApaDocument* CSimpleApplication::CreateDocumentL()
	{
	return new (ELeave) CSimpleDocument(*this, iCoeEnv);
	}
